.form-container {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    display: none; /* Oculto por defecto */
    width: 90%; /* Ajustar el ancho del modal */
    max-width: 500px; /* Ancho máximo del modal */
    max-height: 90%; /* Altura máxima del modal */
    overflow-y: auto; /* Habilitar el desplazamiento vertical si el contenido es demasiado alto */
}

.form-container.visible {
    display: block; /* Mostrar cuando se agrega la clase 'visible' */
}

.modal-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 999;
    display: none; /* Oculto por defecto */
}

.modal-overlay.visible {
    display: block; /* Mostrar cuando se agrega la clase 'visible' */
}

.form-container h2 {
    text-align: center;
    margin-bottom: 20px;
    font-size: 1.6rem;
    color: #343a40;
}

.form-group {
    margin-bottom: 15px;
}

.form-group label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
}

.form-group input,
.form-group select {
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.form-button {
    width: 100%;
    padding: 10px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.form-button:hover {
    background-color: #0056b3;
}
.dx-field-item-custom-label-content {
    /* display: flex; */
    align-items: center;
    margin-top: 10px;
    flex-wrap: nowrap; /* Asegura que los elementos no se envuelvan */
}

.dx-field-item-custom-label-content input[type="checkbox"] {
    margin-right: 10px;
}

.dx-field-item-custom-label-content span {
    display: inline; /* Asegura que el texto y el enlace estén en línea */
}



.dx-field-item-custom-label-content a:hover {
    text-decoration: underline; /* Añade subrayado al pasar el ratón por encima */
}
a{
    color: #007bff;
    text-decoration: none;
}

.my-custom-button {
    background-color: #007bff; /* Azul */
    color: white;
    border: none;
    padding: 10px 20px;
    border-radius: 8px;
    font-weight: bold;
}

.my-custom-button:hover {
    background-color: #007bff; /* Azul oscuro */
}
